Kaspersky\VPN\KSOS 21.7.1.91 MR7!


  • , last edited by dimakor83

    @helios said in Kaspersky\\VPN\\KSOS 21\.7\.1\.91 MR7\!:

    @harlan4096

    What version of .NET is used to run MR7?

    Microsoft .NET Framework 4.0 or later. I have Microsoft .NET Framework 4.8 installed with the latest stability and security updates.

    Microsoft .NET Desktop Runtime 5.0 or later. I have Microsoft .NET Desktop Runtime 5.0.16 installed. This is the latest version of Microsoft .NET Desktop Runtime 5.0.

  • @helios said in Kaspersky\\VPN\\KSOS 21\.7\.1\.91 MR7\!:

    By deinstalling the .NET 5 components. If MR7 is still running without any issues (make a reboot of your system after the deinstallation) then it is based on .NET 6. You can see that in the list of all your installed programs.

    I have Microsoft .NET Desktop Runtime 5.0.16 in the list of all installed programs. My system does not have Microsoft .NET Desktop Runtime version 6.0 or higher. This means that Kaspersky 21.7 runs on Microsoft .NET Desktop Runtime 5.0 or higher.

  • @helios said in Kaspersky\\VPN\\KSOS 21\.7\.1\.91 MR7\!:

    By deinstalling the .NET 5 components. If MR7 is still running without any issues (make a reboot of your system after the deinstallation) then it is based on .NET 6. You can see that in the list of all your installed programs.

    🤦‍♂️ so many uninstalling there just to check... is not a very refined way of checking! 🤢

  • @harlan4096 said in Kaspersky\\VPN\\KSOS 21\.7\.1\.91 MR7\!:

    @helios said in Kaspersky\\VPN\\KSOS 21\.7\.1\.91 MR7\!:

    By deinstalling the .NET 5 components. If MR7 is still running without any issues (make a reboot of your system after the deinstallation) then it is based on .NET 6. You can see that in the list of all your installed programs.

    🤦‍♂️ so many uninstalling there just to check... is not a very refined way of checking! 🤢

    The best proof.

  • , last edited by Helios

    @dimakor83 said in Kaspersky\\VPN\\KSOS 21\.7\.1\.91 MR7\!:

    @helios said in Kaspersky\\VPN\\KSOS 21\.7\.1\.91 MR7\!:

    By deinstalling the .NET 5 components. If MR7 is still running without any issues (make a reboot of your system after the deinstallation) then it is based on .NET 6. You can see that in the list of all your installed programs.

    I have Microsoft .NET Desktop Runtime 5.0.16 in the list of all installed programs. My system does not have Microsoft .NET Desktop Runtime version 6.0 or higher. This means that Kaspersky 21.7 runs on Microsoft .NET Desktop Runtime 5.0 or higher.

    Okay, just checked it out myself as well. .NET Desktop Runtime 5.0 is a must to run MR7. It doesn't work with .NET 6 Desktop Runtime. And as we know, .NET 5 will reach end of support tomorrow. I will use MR3 on my productive system any longer.

  • @harlan4096 said in Kaspersky\\VPN\\KSOS 21\.7\.1\.91 MR7\!:

    Yesterday installed overwriting previous 21.6 RC without issues :):)

    Same for me. No problems with overwriting.

  • @helios said in Kaspersky\\VPN\\KSOS 21\.7\.1\.91 MR7\!:

    @dimakor83 said in Kaspersky\\VPN\\KSOS 21\.7\.1\.91 MR7\!:

    @helios said in Kaspersky\\VPN\\KSOS 21\.7\.1\.91 MR7\!:

    By deinstalling the .NET 5 components. If MR7 is still running without any issues (make a reboot of your system after the deinstallation) then it is based on .NET 6. You can see that in the list of all your installed programs.

    I have Microsoft .NET Desktop Runtime 5.0.16 in the list of all installed programs. My system does not have Microsoft .NET Desktop Runtime version 6.0 or higher. This means that Kaspersky 21.7 runs on Microsoft .NET Desktop Runtime 5.0 or higher.

    Okay, just checked it out myself as well. .NET Desktop Runtime 5.0 is a must to run MR7. It doesn't work with .NET 6 Desktop Runtime. And as we know, .NET 5 will reach end of support tomorrow. I will use MR3 on my productive system any longer.

    Hello! I can understand your worries about .NET 5, but our colleagues do not add .NET6 Supporting. I know that Net5 is not supported by MS from today. I understand that it can cause some risks.  My colleagues do too. If one day NET6 support will be added, I will be one of persons who will test in on test lab's PCs. So I will tell you and may be note it in new's post. But now we don't plan add NET6 support. 

  • Emergency recovery (KDR) link not directing directly into download page but only on main page kaspersky.comAlso same problem with debugg mechanism redirecting to main page.

  • @nexon, can you please report a bug with screenshots and traces?

  • , last edited by nexon

    @dmitriy-pisarets yes but would be better insert here screenshot directly (upload like in forum) also both traces srv and gui?Where should i upload traces?Also next problem see screen image

  • , last edited by Dmitriy.Pisarets

    @nexon it will be better to report issues in special topics, like this https://eap.kaspersky.com/category/549/gui-help 

    you can store traces(all files from folder) and screenshot on any web-drive which allows to download items by links. Google Drive is ok, for example. 

  • @dmitriy-pisarets okay done in GUI section...

  • , last edited by Helios

    @dmitriy-pisarets said in Kaspersky\\VPN\\KSOS 21\.7\.1\.91 MR7\!:

    @helios

    Hello! I can understand your worries about .NET 5, but our colleagues do not add .NET6 Supporting. I know that Net5 is not supported by MS from today. I understand that it can cause some risks.  My colleagues do too. If one day NET6 support will be added, I will be one of persons who will test in on test lab's PCs. So I will tell you and may be note it in new's post. But now we don't plan add NET6 support. 

    @Dmitriy.Pisarets

    Thank you for the info. I'm gonna use 21.3 in the meantime.

  • , last edited by harlan4096

    This 21.7 is quite stable here, I would be completely fond of it except for minor GUI several issues: GUI user customized settings (for example: in Quarantine, in Intrusion Prevention -> Manage Applications window) are not saved, and reverted to defaults in every system start or application exit.

    I have reported several times in previous beta testing while testing 21.5, 21.6 and now with 21.7 continues the same... I think shouldn't be too hard to implement it, since it was in previous builds until 21.3 🤷‍♂️ don't know why it is taking so long to implement / fix this...


Locked

Looks like your connection to Beta Testing was lost, please wait while we try to reconnect.